Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authorization
Class AuditPredicateEventImpl

    java.lang.Object
      |
      +--weblogic.security.providers.authorization.AuditBaseEventImpl
            |
            +--weblogic.security.providers.authorization.AuditPredicateEventImpl

public class AuditPredicateEventImpl
extends weblogic.security.providers.authorization.AuditBaseEventImpl

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `REGISTER_EVENT`
`static java.lang.String` | `UNREGISTER_EVENT`

Constructor Summary
`AuditPredicateEventImpl(AuditSeverity severity, java.lang.String eventType, java.lang.String predClassName)`

Method Summary
`void` | `writeAttributes(java.lang.StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTER_EVENT

    public static final java.lang.String REGISTER_EVENT

### UNREGISTER_EVENT

    public static final java.lang.String UNREGISTER_EVENT

Constructor Detail

### AuditPredicateEventImpl

    public AuditPredicateEventImpl(AuditSeverity severity,
                                   java.lang.String eventType,
                                   java.lang.String predClassName)

Method Detail

### writeAttributes

    public void writeAttributes(java.lang.StringBuffer buf)

  Overrides:
    writeAttributes in class weblogic.security.providers.authorization.AuditBaseEventImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference